summaryrefslogtreecommitdiff
path: root/dev-python/requests-mock
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/requests-mock
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/requests-mock')
-rw-r--r--dev-python/requests-mock/Manifest2
-rw-r--r--dev-python/requests-mock/metadata.xml14
-rw-r--r--dev-python/requests-mock/requests-mock-1.7.0.ebuild44
-rw-r--r--dev-python/requests-mock/requests-mock-1.8.0.ebuild45
4 files changed, 105 insertions, 0 deletions
diff --git a/dev-python/requests-mock/Manifest b/dev-python/requests-mock/Manifest
new file mode 100644
index 000000000000..f58be583f71d
--- /dev/null
+++ b/dev-python/requests-mock/Manifest
@@ -0,0 +1,2 @@
+DIST requests-mock-1.7.0.tar.gz 51705 BLAKE2B 1104422ab28678ee9e964fd853e7d61c23bc2f0dfb3861c2829578d1f91d533d195ce687fbc8596aba32da4b369050398d891125dc894e55fcb73ca81268b30c SHA512 6ad71fb87519f93812e8ae0d058a4b65a4492e86f05cacc37f95be1a6f0239a2c3f3d20a7e6f44bcc21f009574e4e78c2149394c2570d305efbdd68ec07b24a2
+DIST requests-mock-1.8.0.tar.gz 59794 BLAKE2B 2bdcd180ea793a02cf34eda356d90c0e338cec6f3fb718564026d28ea06ac975073f291be9cb685f012c803fdeca1fe29139537529e292b91a3356f0b781f97a SHA512 252bce965e0fca03cd5ce09912c726045f9c632e90bfee13b06c9f3e2c6b70eab7f39cf8e7efb3b7d2cf2b5d79cc5c5ba6e2379b3d48ce33bf78861ada911918
diff --git a/dev-python/requests-mock/metadata.xml b/dev-python/requests-mock/metadata.xml
new file mode 100644
index 000000000000..b16ae78f1ada
--- /dev/null
+++ b/dev-python/requests-mock/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">requests-mock</remote-id>
+ <remote-id type="github">jamielennox/requests-mock</remote-id>
+ <bugs-to>https://github.com/jamielennox/requests-mock/issues</bugs-to>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-python/requests-mock/requests-mock-1.7.0.ebuild b/dev-python/requests-mock/requests-mock-1.7.0.ebuild
new file mode 100644
index 000000000000..2a7ab3015eea
--- /dev/null
+++ b/dev-python/requests-mock/requests-mock-1.7.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Mock out responses from the requests package"
+HOMEPAGE="https://github.com/jamielennox/requests-mock"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="amd64 ~arm64 ~ppc64 x86"
+
+RDEPEND="
+ >=dev-python/requests-1.1[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pbr-0.8[${PYTHON_USEDEP}]
+ test? (
+ dev-python/fixtures[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/testtools[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx doc/source
+distutils_enable_tests unittest
+
+python_prepare_all() {
+ # Disable reno which only works inside a git repository
+ sed -i "s/'reno.sphinxext',//" doc/source/conf.py || die
+ # Remove the release notes section which requires reno
+ rm doc/source/release-notes.rst || die
+ sed -i '/^=============$/,/release-notes/d' doc/source/index.rst || die
+ # Disable a test which requires purl (not in the tree)
+ sed -i -e "/^import purl$/d" -e "s/test_with_purl/_&/" \
+ tests/test_adapter.py || die
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/requests-mock/requests-mock-1.8.0.ebuild b/dev-python/requests-mock/requests-mock-1.8.0.ebuild
new file mode 100644
index 000000000000..09cefc3c1402
--- /dev/null
+++ b/dev-python/requests-mock/requests-mock-1.8.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Mock out responses from the requests package"
+HOMEPAGE="https://github.com/jamielennox/requests-mock"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+RDEPEND="
+ >=dev-python/requests-2.3[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pbr-0.8[${PYTHON_USEDEP}]
+ test? (
+ dev-python/fixtures[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/testtools[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx doc/source
+distutils_enable_tests unittest
+
+python_prepare_all() {
+ # Disable reno which only works inside a git repository
+ sed -i "s/'reno.sphinxext',//" doc/source/conf.py || die
+ # Remove the release notes section which requires reno
+ rm doc/source/release-notes.rst || die
+ sed -i '/^=============$/,/release-notes/d' doc/source/index.rst || die
+ # Disable a test which requires purl (not in the tree)
+ sed -i -e "/^import purl$/d" -e "s/test_with_purl/_&/" \
+ tests/test_adapter.py || die
+ distutils-r1_python_prepare_all
+}